Subject: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working

From: Glenn Morris <[email-masked]>
Date: Fri, 05 Feb 2016 12:41:03 -0500

David Caldwell wrote:

>> The autoconf manual says that this is portable to all shells that
>> support functions, so it should be fine, since autogen.sh uses
>> functions.
>
> Sorry, were you referring to "${*-autoconf}" or "${*:-autoconf}" being
> portable?

I meant that your patch should be fine to apply.
But AFAICS at the next merge from emacs-25 the relevant code will all
disappear anyway. Or there will be a merge conflict.

(BTW, please try to put the right version number in the subject.
I thought this report was about the emacs-25 branch, but it seems it
wasn't.)